print("really?")
exit()

import os
import json

with open("shema.tex","r") as f:
    shema=f.read()


for fn,fno in [[f"dics/{zw}",zw.replace(".json","")] for zw in os.listdir("dics")]:
    with open(fn,"r") as f:
        dic=json.loads(f.read())
    print(dic["paper"]+", "+dic["by"]+"("+dic["when"]+")")
    ac=shema.replace("##name##",fno)
    for key,val in dic.items():
        ac=ac.replace(f"##{key}##",str(val))

    ac=ac.replace("\item {null}","")

   
    with open(f"topics/{fno}.tex","w") as f:
        f.write(ac)



